# Telegraf-influxDB-grafana

![LOGO](docs/tig.png)

## Config

- Grafana: grafana/provisioning/datasources/influxdb.yml (password for influxdb)
- InfluxDB: influxdb/config/influxdb.conf
- Telegraf: telegraf/telegraf.conf (line 63 + 74 & 75)

## Usage

### Main monitor

- get docker UID for telegraf (agent only)
```bash
./get-docker-id.sh
```

- credentials
```bash
nano .env
```

- start stack
```bash
docker-compose up -d
```

- see logs
```bash
docker-compose logs -f
```

### Agent

- config agent
```bash
nano .env
mv docker-compose-telegraf-agent.yml docker-compose.yml
```

- start agent
```bash
docker-compose up -d
```

## Dashboards

- AMD64: 
- ARM64: 
    - [Raspberry host monitoring](https://grafana.com/grafana/dashboards/10578-raspberry-pi-monitoring/)
    - [Docker monitoring](https://grafana.com/grafana/dashboards/10585-docker-dashboard/)

## Services and Ports exemple

### Grafana

- URL: http://localhost:3000 
- User: admin 
- Password: admin 

### Telegraf

- Port: 8125 UDP (StatsD input)

### InfluxDB

- Port: 8086 (HTTP API)
- User: admin 
- Password: admin 
- Database: influx

# To do:

- [ ] script install
- [ ] Prometheus + Alertmanager
